Bug 968136 - Review Request: camel - Apache Camel integration framework
Review Request: camel - Apache Camel integration framework
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Tracking
Depends On: 969271 1363923 820676 822832 823122 853055 855192 866260 866273 877152 881753 882474 882477 969769 969773 jclouds 970285 970515 hazelcast 972352 974756 976049 976051 976052 977017 1166655 1249543 1266804 1276555 1321687 1367518
Blocks: FE-JAVASIG
  Show dependency treegraph
 
Reported: 2013-05-29 00:36 EDT by gil cattaneo
Modified: 2016-09-05 21:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-05-29 00:36:34 EDT
Spec URL: http://gil.fedorapeople.org/camel.spec
SRPM URL: http://gil.fedorapeople.org/camel-2.10.4-1.fc18.src.rpm
Description: 
Apache Camel is a powerful open source integration framework
based on known Enterprise Integration Patterns with powerful
Bean Integration.
Camel lets you create the Enterprise Integration Patterns to
implement routing and mediation rules in either a Java based
Domain Specific Language (or Fluent API), via Spring based
Xml Configuration files or via the Scala DSL. This means you
get smart completion of routing rules in your IDE whether in
your Java, Scala or XML editor.

Apache Camel uses URIs so that it can easily work directly
with any kind of Transport or messaging model such as HTTP,
ActiveMQ, JMS, JBI, SCA, MINA or CXF Bus API together with
working with pluggable Data Format options. Apache Camel is
a small library which has minimal dependencies for easy
embedding in any Java application. Apache Camel lets you
work with the same API regardless which kind of Transport
used, so learn the API once and you will be able to interact
with all the Components that is provided out-of-the-box.

Apache Camel has powerful Bean Binding and integrated seamless
with popular frameworks such as Spring and Guice.

Apache Camel has extensive Testing support allowing you to
easily unit test your routes.

Apache Camel can be used as a routing and mediation engine for
the following projects:

* Apache ServiceMix which is the most popular and powerful
  distributed open source ESB and JBI container
* Apache ActiveMQ which is the most popular and powerful
  open source message broker
* Apache CXF which is a smart web services suite (JAX-WS)
* Apache MINA a networking framework

Fedora Account System Username: gil
Comment 2 Zbigniew Jędrzejewski-Szmek 2016-08-12 09:52:33 EDT
%if %{?fedora} > 18
→ not needed anymore

%description should be wrapped to 80 columns.
There's both "Xml" and "XML" in the %description → please use the latter.

Build fails with:
No matching package to install: 'async-http-client >= 1.7.9'
Damn, retired two years ago: http://pkgs.fedoraproject.org/cgit/rpms/async-http-client.git/commit/?id=1a2f0ac19f9f25b25a1b828db6afb93a7a6b648b.

No matching package to install: 'mvn(org.apache.geronimo.specs:specs)'
Dunno about this one.

No matching package to install: 'tomcat-servlet-3.0-api'
We have tomcat-servlet-3.1-api.noarch now.

Let me know if you still want this reviewed…
Comment 3 gil cattaneo 2016-08-12 10:14:00 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> %if %{?fedora} > 18
> → not needed anymore
> 
> %description should be wrapped to 80 columns.
> There's both "Xml" and "XML" in the %description → please use the latter.
> 
> Build fails with:
> No matching package to install: 'async-http-client >= 1.7.9'
> Damn, retired two years ago:
> http://pkgs.fedoraproject.org/cgit/rpms/async-http-client.git/commit/
> ?id=1a2f0ac19f9f25b25a1b828db6afb93a7a6b648b.
> 
> No matching package to install: 'mvn(org.apache.geronimo.specs:specs)'
> Dunno about this one.
> 
> No matching package to install: 'tomcat-servlet-3.0-api'
> We have tomcat-servlet-3.1-api.noarch now.
> 
> Let me know if you still want this reviewed…

is a long time that did not touch it more. soon will be resolved some missing dependencies, i will solve these and other problems
thanks
Comment 5 gil cattaneo 2016-09-05 21:33:49 EDT
- enable cxf and paho modules

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=15511161

Note You need to log in before you can comment on or make changes to this bug.